### Hierarchy

- unknown
  - PubKeyRing

## Index

### Constructors

- constructor

### Methods

- getEncryptionPubKeyBytes
- getEncryptionPubKeyBytes_asB64
- getEncryptionPubKeyBytes_asU8
- getSignaturePubKeyBytes
- getSignaturePubKeyBytes_asB64
- getSignaturePubKeyBytes_asU8
- serializeBinary
- setEncryptionPubKeyBytes
- setSignaturePubKeyBytes
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PubKeyRing(): PubKeyRing

- Inherited from jspb.Message.constructor

  #### Returns PubKeyRing

## Methods

### getEncryptionPubKeyBytes

- getEncryptionPubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2343

  #### Returns string | Uint8Array

### getEncryptionPubKeyBytes_asB64

- getEncryptionPubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2345

  #### Returns string

### getEncryptionPubKeyBytes_asU8

- getEncryptionPubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2344

  #### Returns Uint8Array

### getSignaturePubKeyBytes

- getSignaturePubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2338

  #### Returns string | Uint8Array

### getSignaturePubKeyBytes_asB64

- getSignaturePubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2340

  #### Returns string

### getSignaturePubKeyBytes_asU8

- getSignaturePubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2339

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2348

  #### Returns Uint8Array

### setEncryptionPubKeyBytes

- setEncryptionPubKeyBytes(value: string | Uint8Array): PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:2346

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PubKeyRing

### setSignaturePubKeyBytes

- setSignaturePubKeyBytes(value: string | Uint8Array): PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:2341

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PubKeyRing

### toObject

- toObject(includeInstance?: boolean): PubKeyRing . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2349

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PubKeyRing . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:2352

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PubKeyRing

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PubKeyRing, reader: BinaryReader): PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:2353

  #### Parameters

  - ##### message: PubKeyRing

  - ##### reader: BinaryReader

  #### Returns PubKeyRing

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PubKeyRing, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2351

  #### Parameters

  - ##### message: PubKeyRing

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PubKeyRing ): PubKeyRing . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2350

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PubKeyRing

  #### Returns PubKeyRing . AsObject

Generated using TypeDoc